[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| RGBPrime2LuvFunctor Class Template Reference |
--- | --- | ---

Convert non-linear (gamma corrected) R'G'B' into perceptual uniform CIE L*u*v*. More...

`#include "vigra/colorconversions.hxx"`

## Public Types
typedef NumericTraits< T >::RealPromote | component_type
typedef TinyVector< T, 3 > | argument_type
typedef XYZ2LuvFunctor< component_type >::result_type | result_type
typedef XYZ2LuvFunctor< component_type >::result_type | value_type
## Public Methods
| RGBPrime2LuvFunctor ()
| RGBPrime2LuvFunctor (component_type max)
template<class V> result_type | operator() (V const &rgb) const

## Detailed Description

### template<class T>
class vigra::RGBPrime2LuvFunctor< T >

Convert non-linear (gamma corrected) R'G'B' into perceptual uniform CIE L*u*v*.

#include "vigra/colorconversions.hxx"
Namespace: vigra

The functor realizes the transformation

See vigra::RGBPrime2RGBFunctor, vigra::RGB2XYZFunctor and vigra::XYZ2LuvFunctor for a description of the three steps. The resulting color components will have the following bounds:

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

| the functor's argument type

typedef NumericTraits<T>::RealPromote component_type

| the result's component type

typedef XYZ2LuvFunctor<component_type>::result_type result_type

| the functor's result type

typedef XYZ2LuvFunctor<component_type>::result_type value_type

| Deprecated: use argument_type and result_type

## Constructor & Destructor Documentation

RGBPrime2LuvFunctor | ( |  | ) | `[inline]`

| default constructor. The maximum value for each RGB component defaults to 255.

RGBPrime2LuvFunctor | ( | component_type | max | ) | `[inline]`

| constructor max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | rgb | ) | const`[inline]`

| apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)